//----------------------------------------------------------------------------

// ,  

//----------------------------------------------------------------------------

#ifndef KEYBOARD_HPP
#define KEYBOARD_HPP

//----------------------------------------------------------------------------

#include "remote.hpp"

//----------------------------- : -----------------------------------

enum KeyCode_t // 
{
  KEY_NO,     // 
  KEY_REC,    //
  KEY_STOP,   //
  KEY_PLAYF,  // 
  KEY_FFD,    // 
  KEY_REW,    // 
  KEY_PLAYR,  // 
  KEY_PAUSE,  //
  KEY_ROLL,   //
  KEY_RECD,   // (  )
  //  :
  MSG_REL  = 0x40,
  MSG_HOLD = 0x80,
  //   KEY_NO:
  NC = KEY_NO
};

//----------------------------------------------------------------------------
//---------------------------  TKeyboard: -------------------------------
//----------------------------------------------------------------------------

class TKeyboard
{
private:
  TRemote *Remote;
  uint8_t Prev_Cmd;
  TSoftTimer *RemTimer;
  TSoftTimer *HoldTimer;
public:
  TKeyboard(void);
  uint8_t Code(void);
  bool Done(void);
};

//----------------------------------------------------------------------------

#endif
