//----------------------------------------------------------------------------

//  ,  

//----------------------------------------------------------------------------

#ifndef CONTROL_HPP
#define CONTROL_HPP

//----------------------------------------------------------------------------

#include "keyboard.hpp"

//----------------------------------------------------------------------------
//----------------------------  TControl: -------------------------------
//----------------------------------------------------------------------------

class TControl
{
private:
  Pin_Rec_t Pin_Rec;
  Pin_Stop_t Pin_Stop;
  Pin_PlayF_t Pin_PlayF;
  Pin_Ffd_t Pin_Ffd;
  Pin_Rew_t Pin_Rew;
  Pin_PlayR_t Pin_PlayR;
  Pin_Pause_t Pin_Pause;
  Pin_Repeat_t Pin_Repeat;
  //unused pins:
  Pin_PB3_t Pin_PB3;
  Pin_PB4_t Pin_PB4;
  Pin_PB5_t Pin_PB5;
  Pin_PC0_t Pin_PC0;
  Pin_PC1_t Pin_PC1;
  Pin_PC2_t Pin_PC2;
  Pin_PC3_t Pin_PC3;
  Pin_PC4_t Pin_PC4;
  Pin_PC5_t Pin_PC5;
  Pin_PD0_t Pin_PD0;
  Pin_PD3_t Pin_PD3;
  Pin_PD4_t Pin_PD4;
  TKeyboard *Keyboard;
  void HardwareInit(void);
  void OutsControl(uint8_t code);
public:
  TControl(void);
  void Execute(void);
};

//----------------------------------------------------------------------------

#endif
