//----------------------------------------------------------------------------

//Project:  E-004 IR decoder
//Compiler: IAR EWARM 6.12
//Target:   ATmega88PA
//Fuses:    F9 DDE2
//E-mail:   wubblick@yahoo.com

//-----------------------  : ------------------------------

//        
// "-004".    ,  
//    .   , 
// "".   RC-5,     
//    codes.hpp.

//----------------------------------------------------------------------------

#include "main.hpp"
#include "control.hpp"

//----------------------------- : ----------------------------------

TControl *Control;

//----------------------------------------------------------------------------
//-------------------------  : ------------------------------
//----------------------------------------------------------------------------

int main(void)
{
  TSysTimer::Init();        //  
  Control = new TControl(); //  

  do                        // 
  {
    TSysTimer::Sync();      //     
    Control->Execute();     //  
  }
  while(1);
}

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
