//----------------------------------------------------------------------------

//       RC15A ( NEC)

//----------------------------------------------------------------------------

#ifndef REMCODES_HPP
#define REMCODES_HPP

//----------------------------------------------------------------------------

#include "keyboard.hpp"

//----------------------------------------------------------------------------

// ,   :

//NC        -   
//KEY_REC   - 
//KEY_STOP  - 
//KEY_PLAYF -  
//KEY_FFD   -  
//KEY_REW   -  
//KEY_PLAYR -  
//KEY_PAUSE - 
//KEY_ROLL  - 

//      :
//volatile   ,  
//    .

__flash volatile uint8_t const REM_Codes[] =
{
/*SYSL*/ 0x10,
/*SYSH*/ 0xE7,
/*0x00*/ KEY_PLAYF,
/*0x01*/ KEY_PLAYR,
/*0x02*/ NC,
/*0x03*/ NC,
/*0x04*/ NC,
/*0x05*/ KEY_STOP,
/*0x06*/ NC,
/*0x07*/ NC,
/*0x08*/ KEY_FFD,
/*0x09*/ KEY_PAUSE,
/*0x0A*/ KEY_REW,
/*0x0B*/ NC,
/*0x0C*/ NC,
/*0x0D*/ KEY_RECD,
/*0x0E*/ KEY_ROLL,
/*0x0F*/ NC,
/*0x10*/ NC,
/*0x11*/ NC,
/*0x12*/ NC,
/*0x13*/ NC,
/*0x14*/ NC,
/*0x15*/ NC,
/*0x16*/ NC,
/*0x17*/ NC,
/*0x18*/ NC,
/*0x19*/ NC,
/*0x1A*/ NC,
/*0x1B*/ NC,
/*0x1C*/ NC,
/*0x1D*/ NC,
/*0x1E*/ NC,
/*0x1F*/ NC,
/*0x20*/ NC,
/*0x21*/ NC,
/*0x22*/ NC,
/*0x23*/ NC,
/*0x24*/ NC,
/*0x25*/ NC,
/*0x26*/ NC,
/*0x27*/ NC,
/*0x28*/ NC,
/*0x29*/ NC,
/*0x2A*/ NC,
/*0x2B*/ NC,
/*0x2C*/ NC,
/*0x2D*/ NC,
/*0x2E*/ NC,
/*0x2F*/ NC,
/*0x30*/ NC,
/*0x31*/ NC,
/*0x32*/ NC,
/*0x33*/ NC,
/*0x34*/ NC,
/*0x35*/ NC,
/*0x36*/ NC,
/*0x37*/ NC,
/*0x38*/ NC,
/*0x39*/ NC,
/*0x3A*/ NC,
/*0x3B*/ NC,
/*0x3C*/ NC,
/*0x3D*/ NC,
/*0x3E*/ NC,
/*0x3F*/ NC,
/*0x40*/ NC,
/*0x41*/ NC,
/*0x42*/ NC,
/*0x43*/ NC,
/*0x44*/ NC,
/*0x45*/ NC,
/*0x46*/ NC,
/*0x47*/ NC,
/*0x48*/ NC,
/*0x49*/ NC,
/*0x4A*/ NC,
/*0x4B*/ NC,
/*0x4C*/ NC,
/*0x4D*/ NC,
/*0x4E*/ NC,
/*0x4F*/ NC,
/*0x50*/ NC,
/*0x51*/ NC,
/*0x52*/ NC,
/*0x53*/ NC,
/*0x54*/ NC,
/*0x55*/ NC,
/*0x56*/ NC,
/*0x57*/ NC,
/*0x58*/ NC,
/*0x59*/ NC,
/*0x5A*/ NC,
/*0x5B*/ NC,
/*0x5C*/ NC,
/*0x5D*/ NC,
/*0x5E*/ NC,
/*0x5F*/ NC,
/*0x60*/ NC,
/*0x61*/ NC,
/*0x62*/ NC,
/*0x63*/ NC,
/*0x64*/ NC,
/*0x65*/ NC,
/*0x66*/ NC,
/*0x67*/ NC,
/*0x68*/ NC,
/*0x69*/ NC,
/*0x6A*/ NC,
/*0x6B*/ NC,
/*0x6C*/ NC,
/*0x6D*/ NC,
/*0x6E*/ NC,
/*0x6F*/ NC,
/*0x70*/ NC,
/*0x71*/ NC,
/*0x72*/ NC,
/*0x73*/ NC,
/*0x74*/ NC,
/*0x75*/ NC,
/*0x76*/ NC,
/*0x77*/ NC,
/*0x78*/ NC,
/*0x79*/ NC,
/*0x7A*/ NC,
/*0x7B*/ NC,
/*0x7C*/ NC,
/*0x7D*/ NC,
/*0x7E*/ NC,
/*0x7F*/ NC,
/*0x80*/ NC,
/*0x81*/ NC,
/*0x82*/ NC,
/*0x83*/ NC,
/*0x84*/ NC,
/*0x85*/ NC,
/*0x86*/ NC,
/*0x87*/ NC,
/*0x88*/ NC,
/*0x89*/ NC,
/*0x8A*/ NC,
/*0x8B*/ NC,
/*0x8C*/ NC,
/*0x8D*/ NC,
/*0x8E*/ NC,
/*0x8F*/ NC,
/*0x90*/ NC,
/*0x91*/ NC,
/*0x92*/ NC,
/*0x93*/ NC,
/*0x94*/ NC,
/*0x95*/ NC,
/*0x96*/ NC,
/*0x97*/ NC,
/*0x98*/ NC,
/*0x99*/ NC,
/*0x9A*/ NC,
/*0x9B*/ NC,
/*0x9C*/ NC,
/*0x9D*/ NC,
/*0x9E*/ NC,
/*0x9F*/ NC,
/*0xA0*/ NC,
/*0xA1*/ NC,
/*0xA2*/ NC,
/*0xA3*/ NC,
/*0xA4*/ NC,
/*0xA5*/ NC,
/*0xA6*/ NC,
/*0xA7*/ NC,
/*0xA8*/ NC,
/*0xA9*/ NC,
/*0xAA*/ NC,
/*0xAB*/ NC,
/*0xAC*/ NC,
/*0xAD*/ NC,
/*0xAE*/ NC,
/*0xAF*/ NC,
/*0xB0*/ NC,
/*0xB1*/ NC,
/*0xB2*/ NC,
/*0xB3*/ NC,
/*0xB4*/ NC,
/*0xB5*/ NC,
/*0xB6*/ NC,
/*0xB7*/ NC,
/*0xB8*/ NC,
/*0xB9*/ NC,
/*0xBA*/ NC,
/*0xBB*/ NC,
/*0xBC*/ NC,
/*0xBD*/ NC,
/*0xBE*/ NC,
/*0xBF*/ NC,
/*0xC0*/ NC,
/*0xC1*/ NC,
/*0xC2*/ NC,
/*0xC3*/ NC,
/*0xC4*/ NC,
/*0xC5*/ NC,
/*0xC6*/ NC,
/*0xC7*/ NC,
/*0xC8*/ NC,
/*0xC9*/ NC,
/*0xCA*/ NC,
/*0xCB*/ NC,
/*0xCC*/ NC,
/*0xCD*/ NC,
/*0xCE*/ NC,
/*0xCF*/ NC,
/*0xD0*/ NC,
/*0xD1*/ NC,
/*0xD2*/ NC,
/*0xD3*/ NC,
/*0xD4*/ NC,
/*0xD5*/ NC,
/*0xD6*/ NC,
/*0xD7*/ NC,
/*0xD8*/ NC,
/*0xD9*/ NC,
/*0xDA*/ NC,
/*0xDB*/ NC,
/*0xDC*/ NC,
/*0xDD*/ NC,
/*0xDE*/ NC,
/*0xDF*/ NC,
/*0xE0*/ NC,
/*0xE1*/ NC,
/*0xE2*/ NC,
/*0xE3*/ NC,
/*0xE4*/ NC,
/*0xE5*/ NC,
/*0xE6*/ NC,
/*0xE7*/ NC,
/*0xE8*/ NC,
/*0xE9*/ NC,
/*0xEA*/ NC,
/*0xEB*/ NC,
/*0xEC*/ NC,
/*0xED*/ NC,
/*0xEE*/ NC,
/*0xEF*/ NC,
/*0xF0*/ NC,
/*0xF1*/ NC,
/*0xF2*/ NC,
/*0xF3*/ NC,
/*0xF4*/ NC,
/*0xF5*/ NC,
/*0xF6*/ NC,
/*0xF7*/ NC,
/*0xF8*/ NC,
/*0xF9*/ NC,
/*0xFA*/ NC,
/*0xFB*/ NC,
/*0xFC*/ NC,
/*0xFD*/ NC,
/*0xFE*/ NC,
/*0xFF*/ NC
};

//----------------------------------------------------------------------------

#endif
